Bug 166137 - [MAINTAINER] update graphics/libjpeg-trubo: update to 1.2.0
[MAINTAINER] update graphics/libjpeg-trubo: update to 1.2.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 09:00 UTC by bytestore
Modified: 2012-05-13 21:32 UTC (History)
0 users

See Also:


Attachments
file.shar (3.61 KB, text/plain)
2012-03-15 09:00 UTC, bytestore
no flags Details
Makefile.diff (587 bytes, patch)
2012-03-17 05:47 UTC, bytestore
no flags Details | Diff
pkg-plist.diff (517 bytes, patch)
2012-03-17 05:47 UTC, bytestore
no flags Details | Diff
pkg-plist.diff (313 bytes, patch)
2012-03-27 06:57 UTC, bytestore
no flags Details | Diff
libjpeg-turbo.diff (1.42 KB, patch)
2012-03-29 11:46 UTC, bytestore
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bytestore 2012-03-15 09:00:10 UTC
Significant changes since 1.2 beta1
===================================

[1] Fixed build issue with YASM on Unix systems (the libjpeg-turbo build system
was not adding the current directory to the assembler include path, so YASM
was not able to find jsimdcfg.inc.)

[2] Fixed out-of-bounds read in SSE2 SIMD code that occurred when decompressing
a JPEG image to a bitmap buffer whose size was not a multiple of 16 bytes.
This was more of an annoyance than an actual bug, since it did not cause any
actual run-time problems, but the issue showed up when running libjpeg-turbo in
valgrind.  See http://crbug.com/72399 for more information.

[3] Added a compile-time macro (LIBJPEG_TURBO_VERSION) that can be used to
check the version of libjpeg-turbo against which an application was compiled.

[4] Added new RGBA/BGRA/ABGR/ARGB colorspace extension constants (libjpeg API)
and pixel formats (TurboJPEG API), which allow applications to specify that,
when decompressing to a 4-component RGB buffer, the unused byte should be set
to 0xFF so that it can be interpreted as an opaque alpha channel.

[5] Fixed regression issue whereby DevIL failed to build against libjpeg-turbo
because libjpeg-turbo's distributed version of jconfig.h contained an INLINE
macro, which conflicted with a similar macro in DevIL.  This macro is used only
internally when building libjpeg-turbo, so it was moved into config.h.

[6] libjpeg-turbo will now correctly decompress erroneous CMYK/YCCK JPEGs whose
K component is assigned a component ID of 1 instead of 4.  Although these files
are in violation of the spec, other JPEG implementations handle them
correctly.

[7] Added ARM v6 and ARM v7 architectures to libjpeg.a and libturbojpeg.a in
the official OS X distribution package, so that those libraries can be used to
build both OS X and iOS applications.

Fix: Patch attached with submission follows:
Comment 1 bytestore 2012-03-15 10:10:12 UTC
Fix: ports/166137: [MAINTAINER] update graphics/libjpeg-turbo: update to 1.2.0
Comment 2 Carlo Strub freebsd_committer 2012-03-16 10:43:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it
Comment 3 Carlo Strub freebsd_committer 2012-03-16 22:47:44 UTC
State Changed
From-To: open->feedback

Please send a diff instead of a shar. (use diff -ruN) 
Next time please also submit using maintainer-update as a class. 
Check out: 
http://www.freebsd.org/doc/en_US.ISO8859-1/articles/problem-reports/article.html 
for further informations. 


Comment 4 Carlo Strub freebsd_committer 2012-03-16 22:47:44 UTC
Class Changed
From-To: change-request->maintainer-update
Comment 5 Carlo Strub freebsd_committer 2012-03-26 23:29:36 UTC
Hi again,
Regarding the diff -ruN you can do that for the entire directory next time.

Regarding your patch, I get the following error from my tinderbox. There se=
ems to be a file too much installed and not removed properly. You can doubl=
e check if you install ports-mgmt/genplist and run it over your updated por=
t. Would you mind fixing this by submitting another patch.

---------------------------------------------------------------------------=
---
=3D=3D=3D>   Compressing manual pages for libjpeg-turbo-1.2.0_3
=3D=3D=3D>   Running ldconfig
/sbin/ldconfig -m /usr/local/lib
=3D=3D=3D>   Registering installation for libjpeg-turbo-1.2.0_3
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D<phase 7: make =
package>=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
=3D=3D=3D>  Building package for libjpeg-turbo-1.2.0_3
Deleting libjpeg-turbo-1.2.0_3
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

=3D=3D=3D Checking filesystem state
list of extra files and directories in / (not present before this port was =
installed but present after it was deinstalled)
482022        1 -r--r--r--    1 root             wheel               17091 =
Mar 26 03:07 usr/local/share/doc/example.c
Deleting nasm-2.09.10,1
Deleting libtool-2.4.2

=3D=3D=3D Checking filesystem state after all packages deleted
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
list of extra files and directories in / (not present on clean system but p=
resent after everything was deinstalled)
482022        1 -r--r--r--    1 root             wheel               17091 =
Mar 26 03:07 usr/local/share/doc/example.c
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
build of /usr/ports/graphics/libjpeg-turbo ended at Mon Mar 26 03:07:16 UTC=
 2012

---------------------------------------------------------------------------=
---

Many thanks,
Carlo

--
Carlo Strub
Ports committer
--=
Comment 6 bytestore 2012-03-27 06:57:48 UTC
fixed pkg-plist
CS> === Checking filesystem state after all packages deleted
CS> ================================================================
CS> list of extra files and directories in / (not present on clean
CS> system but present after everything was deinstalled)
CS> 482022        1 -r--r--r--    1 root             wheel           
CS> 17091 Mar 26 03:07 usr/local/share/doc/example.c
CS> ================================================================
Comment 7 Carlo Strub freebsd_committer 2012-03-29 10:34:01 UTC
Thanks a lot for the last patch. From looking at it, that should work. But,=
 please resend the whole patch including all (!) files so that me and my me=
ntors can apply it easier to the current port. What you need to do:

diff -ruN /usr/ports/graphics/libjpeg-turbo libjpeg-turbo.new > libjpeg-tur=
bo.diff

where libjpeg-turbo.new is your updated port.

That way, I have all the changes in one file only. Thanks a lot.

Carlo=
Comment 8 Carlo Strub freebsd_committer 2012-04-17 23:34:13 UTC
State Changed
From-To: feedback->open

Back to queue... 


Comment 9 Carlo Strub freebsd_committer 2012-04-17 23:34:13 UTC
Responsible Changed
From-To: cs->freebsd-ports-bugs

Back to queue...
Comment 10 scheidell freebsd_committer 2012-04-21 10:29:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 11 scheidell freebsd_committer 2012-04-21 10:34:49 UTC
State Changed
From-To: open->suspended

Suspended until the maintainer re-reads the porters handbook, fixes port, runs portlint -abt and tests in tinderbox or  
redports. 
portlint -abt shows way too many WARN: errors, and at least one FATAL: 
FATAL: -1: [no checksum record for libjpeg-turbo-1.2.0.tar.gz.]:  
WARN: /usr/home/scheidell/ports/ports/graphics/libjpeg-turbo/distinfo: no checksum records for all supported algorithms  
(SHA256) for libjpeg-turbo-1.2.0.tar.gz.
Comment 12 scheidell freebsd_committer 2012-05-08 20:02:06 UTC
State Changed
From-To: suspended->open

Back to pool. 


Comment 13 scheidell freebsd_committer 2012-05-08 20:02:06 UTC
Responsible Changed
From-To: scheidell->freebsd-ports-bugs

Submitter Timeout
Comment 14 dfilter freebsd_committer 2012-05-13 20:28:51 UTC
makc        2012-05-13 19:28:40 UTC

  FreeBSD ports repository

  Modified files:
    graphics/libjpeg-turbo Makefile distinfo pkg-plist 
  Log:
  Update to 1.2.0 [1]
  Normalize Makefile header
  
  PR:             ports/166137 [1]
  Submitted by:   Denis E. Podolskiy (maintainer)
  
  Revision  Changes    Path
  1.20      +2 -4      ports/graphics/libjpeg-turbo/Makefile
  1.7       +2 -2      ports/graphics/libjpeg-turbo/distinfo
  1.5       +8 -1      ports/graphics/libjpeg-turbo/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 Max Brazhnikov freebsd_committer 2012-05-13 21:32:30 UTC
State Changed
From-To: open->closed

Committed. Thanks!